Bug 25829 - VT switching sometimes crashes installer
Summary: VT switching sometimes crashes installer
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-03 02:08 UTC by David Paschal
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 01:33:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Paschal 2001-02-03 02:08:49 UTC
Computer: HP Vectra XU 6/150
dual Pentium-Pro 150 MHz
80 mb RAM
2x 2GB SCSI hard drives
> fb_check returned with value Card:Matrox Millennium II (generic)
4MB video RAM
> Using X server /usr/X11R6/bin/XF86_FBDev

When switching between consoles (Ctrl-Alt-F1, Ctrl-Alt-F7, etc.), it
usually works OK.  However, when I was running fdisk, it crashed when
either leaving (Ctrl-Alt-F1) or returning to X (Ctrl-Alt-F7), and the error
message was:
> Gdk-ERROR **: Fatal IO error 104 (Connection reset by peer) on X server
1.0.

It executed a normal shutdown and said:
> you may safely reboot your system
but when I pressed Ctrl-Alt-Delete, the blinking frame buffer cursor
stopped blinking, and the computer hung without rebooting.  On another try,
Alt-SysRq-B also failed to reboot (displayed "SysRq: Resetting" and hung).

This also happened when I switched VTs while X was starting up (very
slowly!), and another time while it was "Reading package information" after
clicking "Next" on the MD5/shadow/NIS password option screen.  For now I
think I will just avoid doing this in this beta version.  :-)

Another time, when I confirmed to start the installation, X locked up
completely when switching back to X (while the file systems were being
formatted).  The display partially came back, with the proper background
colors for various fields on the screen, but no text or graphics was
displayed, and the keyboard and mouse didn't work.

Comment 1 Edward Kuns 2001-02-03 16:39:02 UTC
I have also seen this ... intermittently but too frequently.

Video card:  Creative Labs Annhilator 2 GTS.

I've never had a problem going between any of the text consoles.  All
of these problems I've had occur when leaving the X console and going
to a text console.

I haven't had the machine hang when going in the other direction except
for the USB-mouse-during-install-when-a-PS/2-port-is-detected problem.
But there, X hangs at the language selection screen if a USB mouse is
used at install ... and thus going to a text console delayed this hang
until I returned to X.

Except for this, I have only had this particular kind of installer
crash when leaving VT-7.


Comment 2 Michael Fulbright 2001-02-06 20:41:35 UTC
If you add 'vga=788' to the end of the boot command you use to boot the
installer, does it improve the situation?

Comment 3 David Paschal 2001-02-09 00:09:55 UTC
Booting the installer with "linux vga=788" seems to make the problem go away. 
Hopefully the default setting can be changed so it isn't necessary to pass this
paramenter, or at least it should be documented how to fix it.

Comment 4 Brent Fox 2001-02-09 01:33:09 UTC
Yes, the default vga mode will be 788.  I made the mistake of setting it to be
787, which is 800x600 at 15 bit color.  I think a lot of the video card bugs
we're seeing with framebuffer problems stems from the fact that they do 16 bit
fine (which is what 788 is) but the don't do 15 bit so well.  Thanks for your
report.  This has been fixed already in our latest internal builds.  
Brock please verify that the default vga mode is 788, not 787.


Note You need to log in before you can comment on or make changes to this bug.